View Issue Details

IDProjectCategoryView StatusLast Update
0002517OpenFOAM[All Projects] Bugpublic2017-04-28 10:58
ReportershildenbrandAssigned Towill 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformHP Z840OSDebianOS Version8.7
Product Versiondev 
Fixed in Version 
Summary0002517: Decomposition of cases with Lagrangian particles fails
DescriptionThere was an issue with Lagrangian particles that are located outside the physical domain (#2442, #2286, #1836, #1461, #1341, #1097), where (besides other problems) reconstruction of a parallel run failed.

The solution or fix, if I remember correctly, was to check during reconstruction for these particles and to assign them the cellID -1 (if they are outside). This worked.

Now (maybe related to commit 6c103e2) the decomposition of such a case (with cellID = -1) fails with the error message

[...]
Identified lagrangian data set: "reactingCloud1"


--> FOAM FATAL ERROR:
Illegal cell number -1 for particle with index 21518 at position (3.28284712215 -0.734310762969 0.401822336585)
Cell number should be between 0 and 4462825
On this mesh the particle should be in cell -1

    From function int main(int, char**)
    in file decomposePar.C at line 747.

FOAM exiting
[...]
Steps To ReproduceThis error happens sporadically, maybe the testfiles from bug report #1836 work. I'll check that out
Additional InformationA continuation of the run on with single process works, in this case there are some warnings that the particles with cellID -1 are deleted.
TagsLagrangian

Activities

will

2017-03-31 19:45

manager   ~0008010

Did the test files from #1836 reproduce the error?

shildenbrand

2017-04-03 06:16

reporter   ~0008015

The second case (dsmc) reproduces it somehow as the decomposition throws the error message I get. However, if I try running it in serial there's another problem with the case setup which I have not looked into.

will

2017-04-28 10:58

manager   ~0008050

All bugs of this sort should now be fundamentally fixed. Restart, decomposition, reconstruction, foamToVTK, etc... don't do any searching any more, so these failures can't happen. Commit 371762757dbe3cd38a3841a547a9bc8c1aff0b85.

Issue History

Date Modified Username Field Change
2017-03-30 08:48 shildenbrand New Issue
2017-03-30 08:48 shildenbrand Tag Attached: Lagrangian
2017-03-31 19:45 will Note Added: 0008010
2017-04-03 06:16 shildenbrand Note Added: 0008015
2017-04-28 10:58 will Assigned To => will
2017-04-28 10:58 will Status new => resolved
2017-04-28 10:58 will Resolution open => fixed
2017-04-28 10:58 will Note Added: 0008050